# `siunitx` - A comprehensive (SI) units package

## Description

Physical quantities have both numbers and units, and each physical quantity
should be expressed as the product of a number and a unit. Typesetting physical
quantities requires care to ensure that the combined mathematical meaning of the
number-unit combination is clear. In particular, the SI units system lays down a
consistent set of units with rules on how these are to be used. However,
different countries and publishers have differing conventions on the exact
appearance of numbers (and units). The [`siunitx`](https://ctan.org/pkg/siunitx)
package provides a set of tools for authors to typeset quantities in a
consistent way. The package has an extended set of configuration options which
make it possible to follow varying typographic conventions with the same input
syntax. The package includes automated processing of numbers and units, and the
ability to control tabular alignment of numbers.

## Author

This package is maintained by Joseph Wright: joseph.wright@morningstar2.co.uk

## License

Released under the LaTeX Project Public License v1.3c or later. See https://www.latex-project.org/lppl.txt